petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatFactorError

indicates what type of error in matrix factor

### Synopsis

    typedef enum {MAT_FACTOR_NOERROR,MAT_FACTOR_STRUCT_ZEROPIVOT,MAT_FACTOR_NUMERIC_ZEROPIVOT,MAT_FACTOR_OUTMEMORY,MAT_FACTOR_OTHER} MatFactorError;

### Developer Notes

Any additions/changes here MUST also be made in include/petsc/finclude/petscmat.h

### See Also

MatGetFactor()

### Level

beginner

### Location

src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages